<html lang="en" class="govuk-template ">
<head>

    <script src="javascript/blind_index.js"></script>
    <link rel="stylesheet" href="stylesheets/govuk-frontend-4.7.0.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/crypto-js/4.1.1/crypto-js.min.js"
            integrity="sha512-E8QSvWZ0eCLGk4km3hxSsNmGWbLtSCSUcewDQPQWZF6pEU8GlT8a5fF32wOl1i8ftdMhssTrF/OhyGWwonTcXA=="
            crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <title>Crypto Demo Tools</title>
</head>

<body class="govuk-template__body ">
<script>
    document.body.className = ((document.body.className) ? document.body.className + ' js-enabled' : 'js-enabled');
</script>
<a href="#" class="govuk-skip-link" data-module="govuk-skip-link">Skip to main content</a>
<header class="govuk-header " role="banner" data-module="govuk-header">
    <div class="govuk-header__container govuk-width-container">
        <div class="govuk-header__logo">
            <a href="/public" class="govuk-header__link govuk-header__link--homepage">
          <span class="govuk-header__logotype">
            <!--[if gt IE 8]><!-->
            <svg
                    aria-hidden="true"
                    focusable="false"
                    class="govuk-header__logotype-crown"
                    xmlns="http://www.w3.org/2000/svg"
                    viewBox="0 0 132 97"
                    height="30"
                    width="36">
              <path
                      fill="currentColor" fill-rule="evenodd"
                      d="M25 30.2c3.5 1.5 7.7-.2 9.1-3.7 1.5-3.6-.2-7.8-3.9-9.2-3.6-1.4-7.6.3-9.1 3.9-1.4 3.5.3 7.5 3.9 9zM9 39.5c3.6 1.5 7.8-.2 9.2-3.7 1.5-3.6-.2-7.8-3.9-9.1-3.6-1.5-7.6.2-9.1 3.8-1.4 3.5.3 7.5 3.8 9zM4.4 57.2c3.5 1.5 7.7-.2 9.1-3.8 1.5-3.6-.2-7.7-3.9-9.1-3.5-1.5-7.6.3-9.1 3.8-1.4 3.5.3 7.6 3.9 9.1zm38.3-21.4c3.5 1.5 7.7-.2 9.1-3.8 1.5-3.6-.2-7.7-3.9-9.1-3.6-1.5-7.6.3-9.1 3.8-1.3 3.6.4 7.7 3.9 9.1zm64.4-5.6c-3.6 1.5-7.8-.2-9.1-3.7-1.5-3.6.2-7.8 3.8-9.2 3.6-1.4 7.7.3 9.2 3.9 1.3 3.5-.4 7.5-3.9 9zm15.9 9.3c-3.6 1.5-7.7-.2-9.1-3.7-1.5-3.6.2-7.8 3.7-9.1 3.6-1.5 7.7.2 9.2 3.8 1.5 3.5-.3 7.5-3.8 9zm4.7 17.7c-3.6 1.5-7.8-.2-9.2-3.8-1.5-3.6.2-7.7 3.9-9.1 3.6-1.5 7.7.3 9.2 3.8 1.3 3.5-.4 7.6-3.9 9.1zM89.3 35.8c-3.6 1.5-7.8-.2-9.2-3.8-1.4-3.6.2-7.7 3.9-9.1 3.6-1.5 7.7.3 9.2 3.8 1.4 3.6-.3 7.7-3.9 9.1zM69.7 17.7l8.9 4.7V9.3l-8.9 2.8c-.2-.3-.5-.6-.9-.9L72.4 0H59.6l3.5 11.2c-.3.3-.6.5-.9.9l-8.8-2.8v13.1l8.8-4.7c.3.3.6.7.9.9l-5 15.4v.1c-.2.8-.4 1.6-.4 2.4 0 4.1 3.1 7.5 7 8.1h.2c.3 0 .7.1 1 .1.4 0 .7 0 1-.1h.2c4-.6 7.1-4.1 7.1-8.1 0-.8-.1-1.7-.4-2.4V34l-5.1-15.4c.4-.2.7-.6 1-.9zM66 92.8c16.9 0 32.8 1.1 47.1 3.2 4-16.9 8.9-26.7 14-33.5l-9.6-3.4c1 4.9 1.1 7.2 0 10.2-1.5-1.4-3-4.3-4.2-8.7L108.6 76c2.8-2 5-3.2 7.5-3.3-4.4 9.4-10 11.9-13.6 11.2-4.3-.8-6.3-4.6-5.6-7.9 1-4.7 5.7-5.9 8-.5 4.3-8.7-3-11.4-7.6-8.8 7.1-7.2 7.9-13.5 2.1-21.1-8 6.1-8.1 12.3-4.5 20.8-4.7-5.4-12.1-2.5-9.5 6.2 3.4-5.2 7.9-2 7.2 3.1-.6 4.3-6.4 7.8-13.5 7.2-10.3-.9-10.9-8-11.2-13.8 2.5-.5 7.1 1.8 11 7.3L80.2 60c-4.1 4.4-8 5.3-12.3 5.4 1.4-4.4 8-11.6 8-11.6H55.5s6.4 7.2 7.9 11.6c-4.2-.1-8-1-12.3-5.4l1.4 16.4c3.9-5.5 8.5-7.7 10.9-7.3-.3 5.8-.9 12.8-11.1 13.8-7.2.6-12.9-2.9-13.5-7.2-.7-5 3.8-8.3 7.1-3.1 2.7-8.7-4.6-11.6-9.4-6.2 3.7-8.5 3.6-14.7-4.6-20.8-5.8 7.6-5 13.9 2.2 21.1-4.7-2.6-11.9.1-7.7 8.8 2.3-5.5 7.1-4.2 8.1.5.7 3.3-1.3 7.1-5.7 7.9-3.5.7-9-1.8-13.5-11.2 2.5.1 4.7 1.3 7.5 3.3l-4.7-15.4c-1.2 4.4-2.7 7.2-4.3 8.7-1.1-3-.9-5.3 0-10.2l-9.5 3.4c5 6.9 9.9 16.7 14 33.5 14.8-2.1 30.8-3.2 47.7-3.2z"></path>
            </svg>
              <!--<![endif]-->
              <!--[if IE 8]>
              <img src="/assets/images/govuk-logotype-crown.png" class="govuk-header__logotype-crown-fallback-image"
                   width="36" height="32" alt="">
              <![endif]-->
              <span class="govuk-header__logotype-text">
              GOV.UK
            </span>
          </span>
            </a>
        </div>
    </div>
</header>
<br/>
<div class="govuk-width-container">
    <fieldset class="govuk-fieldset">
        <legend class="govuk-fieldset__legend govuk-fieldset__legend--l">
            <h3 class="govuk-fieldset__heading">SHA 256 ECMS Hash</h3>
        </legend>

        <p class="govuk-fieldset__heading">This will take a plain text message and generate a hash using the ECMS method sha256(secret key + PLAIN TEXT)</p>
        <p id="sha256-ecms-bi-val-error" class="govuk-error-message" style="display: none">
            Ensure all fields are populated
        </p>
        <label class="govuk-label" for="sha256-ecms-bi-plaintext">Plain Text</label><input class="govuk-input"
                                                                                        id="sha256-ecms-bi-plaintext" oninput="createIntermediate()"/><br/>
        <label class="govuk-label" for="sha256-ecms-bi-secret">Secret Key</label><input class="govuk-input"
                                                                                     id="sha256-ecms-bi-secret" oninput="createIntermediate()"/><br/>
        <label class="govuk-label" for="sha256-ecms-bi-intermediate">Pre-Hash Value</label><input class="govuk-input"
               id="sha256-ecms-bi-intermediate" disabled="disabled"/><br/>
        <button class="govuk-button" data-module="govuk-button" id="createHash" onclick="createHash()">Create SHA-256
            HMAC
        </button>
        <br/>
        <div style="display: none" class="govuk-notification-banner" role="region"
             aria-labelledby="govuk-notification-banner-title"
             data-module="govuk-notification-banner" id="sha256-ecms-bi-result">
            <div class="govuk-notification-banner__header">
                <h2 class="govuk-notification-banner__title">
                    Result
                </h2>
            </div>
            <div class="govuk-notification-banner__content">
                <p class="govuk-notification-banner__heading">
                <div class="govuk-body" id="sha256-ecms-bi-result-text"></div>
                </p>
            </div>
        </div>    </fieldset>

    <fieldset class="govuk-fieldset">
        <legend class="govuk-fieldset__legend govuk-fieldset__legend--l">
            <h3 class="govuk-fieldset__heading">Base64 Encode</h3>
        </legend>    <p>This will take a text message and generate a base64 representation of it</p>
        <p id="base64-val-error" class="govuk-error-message" style="display: none">
            Ensure all fields are populated
        </p>
    <label class="govuk-label" for="base64-plaintext">Plain Text</label><input class="govuk-input"
                                                                                              id="base64-plaintext"/>
    <button class="govuk-button" data-module="govuk-button" id="createBas64" onclick="createB64()">Encode Base64
    </button>
    <br/>
        <div style="display: none" class="govuk-notification-banner" role="region"
             aria-labelledby="govuk-notification-banner-title"
             data-module="govuk-notification-banner" id="base64-result">
            <div class="govuk-notification-banner__header">
                <h2 class="govuk-notification-banner__title">
                    Result
                </h2>
            </div>
            <div class="govuk-notification-banner__content">
                <p class="govuk-notification-banner__heading">
                <div class="govuk-body" id="base64-result-text"></div>
                </p>
            </div>
        </div>    </fieldset>

    <fieldset class="govuk-fieldset">
        <legend class="govuk-fieldset__legend govuk-fieldset__legend--l">
            <h3 class="govuk-fieldset__heading">Base64 Decode</h3>
        </legend>
    <p>This will take a base64 representation and provide the plain text decode of it</p>
        <p id="base64d-val-error" class="govuk-error-message" style="display: none">
            Ensure all fields are populated
        </p>
    <label class="govuk-label" for="base64d-plaintext">Plain Text</label><input class="govuk-input"

                                                                                id="base64d-plaintext"/><br/>
    <button class="govuk-button" data-module="govuk-button" id="decodeBase64" onclick="decodeB64()">Decode Base64
    </button>
    <br/>

        <div style="display: none" class="govuk-notification-banner" role="region"
             aria-labelledby="govuk-notification-banner-title"
             data-module="govuk-notification-banner" id="base64d-result">
            <div class="govuk-notification-banner__header">
                <h2 class="govuk-notification-banner__title" id="govuk-notification-banner-title">
                    Result
                </h2>
            </div>
            <div class="govuk-notification-banner__content">
                <p class="govuk-notification-banner__heading">
                <div class="govuk-body" id="base64d-result-text"></div>
                </p>
            </div>
        </div>
    </fieldset>
</div>

<script src="javascript/govuk-frontend-4.7.0.min.js"></script>
</body>
</html>
